---
apiVersion: "v1"
kind: "Template"
labels: {}
metadata:
  annotations:
    fabric8.vertx-simplest/summary: "Simple embedded vert.x fatjar"
    fabric8.vertx-simplest/iconUrl: "img/icons/vertx.svg"
    description: "Simple embedded vert.x fatjar"
  labels: {}
  name: "vertx-simplest"
objects:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "vertx-simplest"
      provider: "fabric8"
      version: "2.2.101"
      group: "quickstarts"
    name: "vertx-simplest"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      project: "vertx-simplest"
      provider: "fabric8"
      group: "quickstarts"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-branch: "release-v2.2.101"
      fabric8.io/git-commit: "4cd729c218371ecb953bfd2b2f9b73eca8bd8580"
      fabric8.io/git-url: "http://gogs.release.cd.fabric8.io/gogsadmin/oss-parent/commit/4cd729c218371ecb953bfd2b2f9b73eca8bd8580"
      fabric8.io/build-url: "http://jenkins.release.cd.fabric8.io/job/oss-parent/3"
      fabric8.io/build-id: "3"
    labels:
      project: "vertx-simplest"
      provider: "fabric8"
      version: "2.2.101"
      group: "quickstarts"
    name: "vertx-simplest"
  spec:
    replicas: 1
    selector:
      project: "vertx-simplest"
      provider: "fabric8"
      version: "2.2.101"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          project: "vertx-simplest"
          provider: "fabric8"
          version: "2.2.101"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/vertx-simplest:2.2.101"
          name: "vertx-simplest"
          ports:
          - containerPort: 8778
            name: "jolokia"
          readinessProbe:
            httpGet:
              path: "/"
              port: 8080
            initialDelaySeconds: 5
            timeoutSeconds: 30
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
